scmShadows = {}

local modes = {
	nil,
	"OUTLINE",
	"THICKOUTLINE",
	"OUTLINE, MONOCHROME",
	"THICKOUTLINE, MONOCHROME",
}
SCM_SHADOW_MODE = 1

local _G = getfenv(0)
local orig = {}
function scmShadows:Enable()
	for i = 1, NUM_CHAT_WINDOWS do
		local c = _G["ChatFrame"..i]
		local f, s, m = c:GetFont()
		if not orig[c] then orig[c] = m end
		c:SetFont(f, s, modes[SCM_SHADOW_MODE])
		c:SetShadowColor(0, 0, 0, 1)
	end
end

function scmShadows:Disable()
	for i = 1, NUM_CHAT_WINDOWS do
		local c = _G["ChatFrame"..i]
		if orig[c] then
			local f, s, m = c:GetFont()
			c:SetFont(f, s, orig[c])
		end
	end
end

scmShadows:Enable()

